#ifndef _property

#define _property


#include "property.h"

#include "array.h"

#include "text.h"

#include "index.h"


struct property{

	int	hasValue;


	char * propertyName;

	char * datatype;

	char * decleration;

	char * value;

	int isPointer;


	char * type;


	struct array * declerationParts;

};

char * property_composePropertyValue( char * propertyValue, struct property * propertyInstance );

char * property_extractPropertyDeclaration( struct array * propertyParts, struct property * propertyInstance );

char * property_extractPropertyName( struct array * propertyParts );

#endif